<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { useForm } from '@inertiajs/vue3'
import { component as ckeditor } from '@mayasabha/ckeditor4-vue3'

defineProps({ errors: Object })

const form = useForm({
    title: null,
    date: null,
    short_description: null,
    description: null,
    image: null,
})

</script>

<template>
    <AdminAppLayout>
        <h1>Создать пост</h1>
        <form @submit.prevent="form.post(route('admin.posts.store'))">
            <div class="mb-3">
                <label for="title" class="form-label">Заголовок</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Заголовок"
                    v-model="form.title"
                />
            </div>

            <div class="mb-3">
                <label for="date" class="form-label">
                   Дата статьи
                </label>
                <input
                    type="date"
                    class="form-control"
                    id="date"
                    placeholder=" Дата статьи"
                    v-model="form.date"
                />
            </div>

            <div class="mb-3">
                <label for="short_description" class="form-label"
                    >Краткое описание статьи</label
                >
                <input
                    type="text"
                    class="form-control"
                    id="short_description"
                    placeholder="Краткое описание статьи"
                    v-model="form.short_description"
                />
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">Статья</label>
                <ckeditor v-model="form.description"></ckeditor>
            </div>
            <div class="mb-3">
                <label for="formFile" class="form-label">Картинка поста</label>
                <input class="form-control-file" type="file" @input="form.image = $event.target.files[0]" />
            </div>
            <div style="text-align: right; " class="button">
                <button :disabled="form.processing" class="btn btn-success btn-lg" type="submit">Создать</button>
            </div>

            <div v-for="error in errors" class="alert alert-danger" role="alert">
                {{ error }}
            </div>

        </form>
    </AdminAppLayout>
</template>

<style scoped>
.button {
    text-align: center;
}
.img {
    max-height: 100px;
}
</style>
